Subject: [tcpm] Section 3.7.1 draft-ietf-tcpm-rfc793bis

From: "Scharf, Michael (Michael)" <[email-masked]>
Date: Mon, 20 Jul 2015 16:46:51 +0000

Hi Wes,

A small nit regarding draft-ietf-tcpm-rfc793bis-00 page 30:

   If an MSS option is not received at connection setup, TCP MUST assume
   a default send MSS of 536 (576-40) for IPv4 or 1220 (1280 - 40) for
   IPv6.

In my understanding, the IPv6 value of 1220 is correct, but probably the math should be changed into 1280 - 40 - 20...

(I just CC TCPM in order to encourage further reviews of this section.)

Michael

---

From: Joe Touch <[email-masked]>
Date: Mon, 20 Jul 2015 10:05:00 -0700

Michael,

> In my understanding, the IPv6 value of 1220 is correct, but probably the math should be changed into 1280 - 40 - 20...

The answer lies in RFC 6691, and yes, you should subtract the fixed
portions of the IP and TCP headers.

Joe

---

From: Wesley Eddy <[email-masked]>
Date: Tue, 21 Jul 2015 14:22:46 -0400

> In my understanding, the IPv6 value of 1220 is correct, but probably the math should be changed into 1280 - 40 - 20...

Thanks, you're right that the 40 for IPv4 should be 60 for IPv6.

This is now staged to be fixed in the next revision:
https://bitbucket.org/weddy/rfc793bis/commits/9640da2339e9e198d2a0cbae118eb24abd7ee946

-- 
Wes Eddy
MTI Systems